GuideLab API

Create an inventory item

Creates a new inventory item in the organization's catalog. If the initial quantity is greater than zero, an initial stock adjustment is automatically recorded.

POST
/inventory/items

Creates a new inventory item in the organization's catalog. If the initial quantity is greater than zero, an initial stock adjustment is automatically recorded.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/inventory/items" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": "string",    "organizationId": "string",    "name": "string",    "sku": "string",    "unit": "string",    "currentQuantity": "string",    "isActive": true,    "createdAt": "string",    "updatedAt": "string",    "property1": null,    "property2": null  }}
Empty
Empty
Empty